## python-elasticsearch 7.1.0

=== Makefile ===
clean:
	docker-compose down --remove-orphans --volumes

build:
	PYTHON_VERSION=${PYTHON_VERSION} docker-compose build client

pull:
	ELASTICSEARCH_VERSION=${ELASTICSEARCH_VERSION} PYTHON_VERSION=${PYTHON_VERSION} docker-compose pull

push:
	# requires authentication.
	PYTHON_VERSION=${PYTHON_VERSION} docker-compose push client

run_tests:
	ELASTICSEARCH_VERSION=${ELASTICSEARCH_VERSION} PYTHON_VERSION=${PYTHON_VERSION} docker-compose -p "${ELASTIC_VERSION}-${PYTHON_VERSION}" run client python setup.py test

start_elasticsearch:
	ELASTICSEARCH_VERSION=${ELASTICSEARCH_VERSION} docker-compose up -d elasticsearch

=== example/requirements.txt ===
GitPython
python-dateutil

## python-elasticsearch 1.2.0

=== debian/changelog ===
python-elasticsearch (1.2.0-1) unstable; urgency=low

  * Initial release (Closes: #760364).

 -- Michael Fladischer <FladischerMichael@fladi.at>  Wed, 03 Sep 2014 13:17:06 +0200

=== debian/control ===
Source: python-elasticsearch
Section: python
Priority: extra
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Michael Fladischer <FladischerMichael@fladi.at>
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-coverage,
               python-mock,
               python-nose,
               python-pylibmc,
               python-requests,
               python-setuptools,
               python-thrift,
               python-urllib3,
               python-yaml,
               python3-all,
               python3-coverage,
               python3-mock,
               python3-nose,
               python3-requests,
               python3-setuptools,
               python3-urllib3
Build-Depends-Indep: libjs-jquery, python-sphinx (>= 1.0.7+dfsg-1~)
Standards-Version: 3.9.5
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Homepage: https://github.com/elasticsearch/elasticsearch-py
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-elasticsearch/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-elasticsearch/trunk/

Package: python-elasticsearch
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Suggests: python-elasticsearch-doc
Description: Python client for Elasticsearch
 Official low-level client for Elasticsearch. Its goal is to provide common
 ground for all Elasticsearch-related code in Python; because of this it tries
 to be opinion-free and very extendable.
 .
 The client's features include:
  * translating basic Python data types to and from json (datetimes are not
    decoded for performance reasons)
  * configurable automatic discovery of cluster nodes
  * persistent connections
  * load balancing (with pluggable selection strategy) across all available
    nodes
  * failed connection penalization (time based - failed connections won't be
    retried until a timeout is reached)
  * thread safety
  * pluggable architecture

Package: python3-elasticsearch
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Suggests: python-elasticsearch-doc
Description: Python client for Elasticsearch (Python3 version)
 Official low-level client for Elasticsearch. Its goal is to provide common
 ground for all Elasticsearch-related code in Python; because of this it tries
 to be opinion-free and very extendable.
 .
 The client's features include:
  * translating basic Python data types to and from json (datetimes are not
    decoded for performance reasons)
  * configurable automatic discovery of cluster nodes
  * persistent connections
  * load balancing (with pluggable selection strategy) across all available
    nodes
  * failed connection penalization (time based - failed connections won't be
    retried until a timeout is reached)
  * thread safety
  * pluggable architecture
 .
 This package contains the Python 3 version of the library.

Package: python-elasticsearch-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Python client for Elasticsearch (Documentation)
 Official low-level client for Elasticsearch. Its goal is to provide common
 ground for all Elasticsearch-related code in Python; because of this it tries
 to be opinion-free and very extendable.
 .
 The client's features include:
  * translating basic Python data types to and from json (datetimes are not
    decoded for performance reasons)
  * configurable automatic discovery of cluster nodes
  * persistent connections
  * load balancing (with pluggable selection strategy) across all available
    nodes
  * failed connection penalization (time based - failed connections won't be
    retried until a timeout is reached)
  * thread safety
  * pluggable architecture
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=elasticsearch

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. sphinx-build -b html -N docs/ docs/.build/html

override_dh_clean:
	rm -rf docs/.build
	dh_clean

override_dh_installchangelogs:
	dh_installchangelogs Changelog.rst

#Tests are disabled right now as they fail and spam about missing network.
override_dh_auto_test:

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/([\d\.]+)\.tar\.gz/python-elasticsearch-$1.tar.gz/ \
https://github.com/elasticsearch/elasticsearch-py/releases \
/elasticsearch/elasticsearch-py/archive/([\d\.]+)\.tar\.gz

## python-elasticsearch 1.4.0

=== debian/changelog ===
python-elasticsearch (1.4.0-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Thomas Goirand <zigo@debian.org>  Sun, 10 May 2015 22:49:14 +0200

python-elasticsearch (1.4.0-2) unstable; urgency=medium

  [ Michael Fladischer ]
  * Change project URL to point to correct upstream repository for
    uscan.
  * Use the same sphinx cofiguration as for official online
    documentation.

  [ Thomas Goirand ]
  * Team upload.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 28 Apr 2015 13:02:36 +0000

python-elasticsearch (1.4.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Uploading to experimental.
  * Standards-Version: is now 3.9.6.
  * Added python-sphinx-rtd-theme as Build-Depends-Indep.
  * Moved some packages from Build-Depends to Build-Depends-Indep.

 -- Thomas Goirand <zigo@debian.org>  Thu, 12 Feb 2015 13:42:27 +0000

=== debian/control ===
--- 
+++ 
@@ -6,24 +6,26 @@
 Build-Depends: debhelper (>= 9),
                dh-python,
                python-all,
-               python-coverage,
-               python-mock,
-               python-nose,
-               python-pylibmc,
-               python-requests,
                python-setuptools,
-               python-thrift,
-               python-urllib3,
-               python-yaml,
                python3-all,
-               python3-coverage,
-               python3-mock,
-               python3-nose,
-               python3-requests,
-               python3-setuptools,
-               python3-urllib3
-Build-Depends-Indep: libjs-jquery, python-sphinx (>= 1.0.7+dfsg-1~)
-Standards-Version: 3.9.5
+               python3-setuptools
+Build-Depends-Indep: libjs-jquery,
+                     python-coverage,
+                     python-mock,
+                     python-nose,
+                     python-pylibmc,
+                     python-requests,
+                     python-sphinx (>= 1.0.7+dfsg-1~),
+                     python-sphinx-rtd-theme,
+                     python-thrift,
+                     python-urllib3,
+                     python-yaml,
+                     python3-coverage,
+                     python3-mock,
+                     python3-nose,
+                     python3-requests,
+                     python3-urllib3
+Standards-Version: 3.9.6
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
 Homepage: https://github.com/elasticsearch/elasticsearch-py

## python-elasticsearch 1.6.0

=== debian/changelog ===
python-elasticsearch (1.6.0-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Thu, 18 Jun 2015 16:52:40 +0200

python-elasticsearch (1.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Change my email address to fladi@debian.org.
  * Update years in d/copyright.

 -- Michael Fladischer <fladi@debian.org>  Tue, 26 May 2015 15:08:33 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: python
 Priority: extra
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Michael Fladischer <FladischerMichael@fladi.at>
+Uploaders: Michael Fladischer <fladi@debian.org>
 Build-Depends: debhelper (>= 9),
                dh-python,
                python-all,

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 override_dh_auto_build:
 	dh_auto_build
-	PYTHONPATH=. sphinx-build -b html -N docs/ docs/.build/html
+	PYTHONPATH=. READTHEDOCS=True sphinx-build -b html -N docs/ docs/.build/html
 
 override_dh_clean:
 	rm -rf docs/.build

## python-elasticsearch 5.4.0

=== debian/changelog ===
python-elasticsearch (5.4.0-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Sophie Brun]
  * Refresh patches after git-dpm to gbp pq conversion
  * Drop debian/source/include-binaries: upstream signing key has been
    converted to armored version
  * New upstream release
  * Use python3-sphinx to build documentation (python 2 will not be maintained
    past 2020)
  * Add autopkgtest
  * Standards-Version is now 4.1.0: change Priority to optional
  * Drop useless lintian-overrides

 -- Sophie Brun <sophie@freexian.com>  Mon, 25 Sep 2017 15:08:56 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: python-elasticsearch
 Section: python
-Priority: extra
+Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Michael Fladischer <fladi@debian.org>
 Build-Depends: debhelper (>= 9),
@@ -14,23 +14,24 @@
                      python-mock,
                      python-nose,
                      python-pylibmc,
-                     python-requests,
-                     python-sphinx (>= 1.0.7+dfsg-1~),
-                     python-sphinx-rtd-theme,
+                     python-requests (>= 2.0.0),
                      python-thrift,
                      python-urllib3,
                      python-yaml,
                      python3-coverage,
                      python3-mock,
                      python3-nose,
-                     python3-requests,
-                     python3-urllib3
-Standards-Version: 3.9.6
+                     python3-requests (>= 2.0.0),
+                     python3-urllib3,
+                     python3-sphinx (>= 1.0.7+dfsg-1~),
+                     python3-sphinx-rtd-theme
+Standards-Version: 4.1.0
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
 Homepage: https://github.com/elasticsearch/elasticsearch-py
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-elasticsearch/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-elasticsearch/trunk/
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-elasticsearch.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-elasticsearch.git
+Testsuite: autopkgtest-pkg-python
 
 Package: python-elasticsearch
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,7 @@
 #export DH_VERBOSE=1
 
 export PYBUILD_NAME=elasticsearch
+export PYBUILD_DISABLE=test
 
 %:
 	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
@@ -18,6 +19,3 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs Changelog.rst
-
-#Tests are disabled right now as they fail and spam about missing network.
-override_dh_auto_test:

## python-elasticsearch 7.0.1

=== debian/changelog ===
python-elasticsearch (7.0.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

  [ Sébastien Delafond ]
  * New upstream version 7.0.1 (Closes: #829487)

 -- Sebastien Delafond <seb@debian.org>  Mon, 20 May 2019 09:38:30 +0200

=== debian/control ===
--- 
+++ 
@@ -26,11 +26,9 @@
                      python3-sphinx (>= 1.0.7+dfsg-1~),
                      python3-sphinx-rtd-theme
 Standards-Version: 4.1.0
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.2
 Homepage: https://github.com/elasticsearch/elasticsearch-py
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-elasticsearch.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-elasticsearch.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-elasticsearch.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-elasticsearch
 Testsuite: autopkgtest-pkg-python
 
 Package: python-elasticsearch

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 override_dh_auto_build:
 	dh_auto_build
-	PYTHONPATH=. READTHEDOCS=True sphinx-build -b html -N docs/ docs/.build/html
+	PYTHONPATH=. READTHEDOCS=True python3 -m sphinx -b html -N docs/ docs/.build/html
 
 override_dh_clean:
 	rm -rf docs/.build

## python-elasticsearch 7.1.0

=== debian/changelog ===
python-elasticsearch (7.1.0-3) unstable; urgency=low

  [ Debian Janitor ]
  * Refer to common license file for Apache-2.0.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Thomas Goirand ]
  * Team upload.
  * Add python-3.9-fix-base64-decodestring-is-removed.patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2020 13:36:00 +0200

python-elasticsearch (7.1.0-2) unstable; urgency=medium

  * Team upload.
  * Drop python2 support; Closes: #937725

 -- Sandro Tosi <morph@debian.org>  Thu, 19 Dec 2019 13:03:56 -0500

python-elasticsearch (7.1.0-1) UNRELEASED; urgency=medium

  [ Emmanuel Arias ]
  * Team upload
  * New upstream version 7.1.0 (Closes: #944357)
  * d/control: Bump Standard-Version to 4.4.1
  * d/control: Bump debhelper-compat to 12
  * Run wrap_and_sort script
  * Fix HTML paths in doc-base control file

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

 -- Emmanuel Arias <emmanuelarias30@gmail.com>  Sat, 16 Nov 2019 23:38:44 -0300

=== debian/control ===
--- 
+++ 
@@ -1,56 +1,28 @@
 Source: python-elasticsearch
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Michael Fladischer <fladi@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
-               python-all,
-               python-setuptools,
                python3-all,
                python3-setuptools
 Build-Depends-Indep: libjs-jquery,
-                     python-coverage,
-                     python-mock,
-                     python-nose,
-                     python-pylibmc,
-                     python-requests (>= 2.0.0),
-                     python-thrift,
-                     python-urllib3,
-                     python-yaml,
                      python3-coverage,
                      python3-mock,
                      python3-nose,
+                     python3-pylibmc,
                      python3-requests (>= 2.0.0),
+                     python3-sphinx (>= 1.0.7+dfsg-1~),
+                     python3-sphinx-rtd-theme,
+                     python3-thrift,
                      python3-urllib3,
-                     python3-sphinx (>= 1.0.7+dfsg-1~),
-                     python3-sphinx-rtd-theme
-Standards-Version: 4.1.0
+                     python3-yaml,
+Standards-Version: 4.5.0
 Homepage: https://github.com/elasticsearch/elasticsearch-py
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-elasticsearch.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-elasticsearch
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-elasticsearch.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-elasticsearch
 Testsuite: autopkgtest-pkg-python
-
-Package: python-elasticsearch
-Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}
-Suggests: python-elasticsearch-doc
-Description: Python client for Elasticsearch
- Official low-level client for Elasticsearch. Its goal is to provide common
- ground for all Elasticsearch-related code in Python; because of this it tries
- to be opinion-free and very extendable.
- .
- The client's features include:
-  * translating basic Python data types to and from json (datetimes are not
-    decoded for performance reasons)
-  * configurable automatic discovery of cluster nodes
-  * persistent connections
-  * load balancing (with pluggable selection strategy) across all available
-    nodes
-  * failed connection penalization (time based - failed connections won't be
-    retried until a timeout is reached)
-  * thread safety
-  * pluggable architecture
 
 Package: python3-elasticsearch
 Architecture: all

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/([\d\.]+)\.tar\.gz/python-elasticsearch-$1.tar.gz/ \
https://github.com/elastic/elasticsearch-py/releases \
/elastic/elasticsearch-py/archive/([\d\.]+)\.tar\.gz

## python-elasticsearch 7.16.2

=== debian/changelog ===
python-elasticsearch (7.16.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 7.16.2
  * Fix matching pattern in debian/watch due to GitHub download URL change.
  * Remove python-3.9-fix-base64-decodestring-is-removed.patch and
    drop_pyaml.patch which are both applied upstream.
  * debian/clean: Clean up elasticsearch.egg-info/ directory too.
  * Stop installing Changelog.rst which was removed upstream.
  * Install README.rst instead of README due to upstream rename.
  * Use upstream Makefile for building HTML docs with sphinx
    and adjust destination build path accordingly.
  * Remove signing-key.asc of security@celeryproject.org.
    Apparently, this key has never been used for the elasticsearch-py source
    tarball, and Elasticsearch has never issued a signing key for their
    released tarballs either.
    My guess is that the original package maintainer, who also created and
    maintains the Debian celery package, used it as a template for creating
    the Debian python-elasticsearch back in 2014, and inadvertently left
    the key (originally named upstream-signing-key.pgp) in there.
    Please correct me if my guess is wrong.
    Fixes Lintian warning "debian-watch-could-verify-download".
  * Fix HTML file paths in doc-base registration.
  * Bump dependency on python3-requests to (>= 2.4.0) as per setup.py.
  * Bump debhelper dependency to "debhelper-compat (= 13)".
  * Bump Standards-Version to 4.6.0 (no change).

 -- Anthony Fok <foka@debian.org>  Wed, 05 Jan 2022 13:11:01 -0700

python-elasticsearch (7.1.0-5) unstable; urgency=medium

  * Team upload.
    + Source-only upload for testing migration

 -- Nilesh Patra <nilesh@debian.org>  Thu, 28 Oct 2021 19:38:07 +0530

python-elasticsearch (7.1.0-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + python-elasticsearch-doc: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 22 Aug 2021 03:40:21 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Michael Fladischer <fladi@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-setuptools
@@ -12,13 +12,13 @@
                      python3-mock,
                      python3-nose,
                      python3-pylibmc,
-                     python3-requests (>= 2.0.0),
+                     python3-requests (>= 2.4.0),
                      python3-sphinx (>= 1.0.7+dfsg-1~),
                      python3-sphinx-rtd-theme,
                      python3-thrift,
                      python3-urllib3,
                      python3-yaml,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://github.com/elasticsearch/elasticsearch-py
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-elasticsearch.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-elasticsearch
@@ -51,6 +51,7 @@
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Multi-Arch: foreign
 Description: Python client for Elasticsearch (Documentation)
  Official low-level client for Elasticsearch. Its goal is to provide common
  ground for all Elasticsearch-related code in Python; because of this it tries

## python-elasticsearch 7.17.5

=== debian/changelog ===
python-elasticsearch (7.17.5-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Anthony Fok <foka@debian.org>  Thu, 22 Sep 2022 13:40:48 -0600

python-elasticsearch (7.17.5-1) unstable; urgency=medium

  * Team upload.

  [ Neil Williams ]
  * Remove unnecessary python3-nose BD

  [ Anthony Fok ]
  * New upstream version 7.17.5
  * Bump Standards-Version to 4.6.1 (no change)

 -- Anthony Fok <foka@debian.org>  Mon, 22 Aug 2022 12:01:52 -0600

python-elasticsearch (7.16.2-2) unstable; urgency=high

  * Team upload.
  * Removed build-depends on python3-thrift, which is not needed.

 -- Thomas Goirand <zigo@debian.org>  Tue, 26 Apr 2022 00:54:15 +0200

python-elasticsearch (7.16.2-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Anthony Fok <foka@debian.org>  Tue, 11 Jan 2022 07:01:10 -0700

=== debian/control ===
--- 
+++ 
@@ -10,15 +10,13 @@
 Build-Depends-Indep: libjs-jquery,
                      python3-coverage,
                      python3-mock,
-                     python3-nose,
                      python3-pylibmc,
                      python3-requests (>= 2.4.0),
                      python3-sphinx (>= 1.0.7+dfsg-1~),
                      python3-sphinx-rtd-theme,
-                     python3-thrift,
                      python3-urllib3,
                      python3-yaml,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/elasticsearch/elasticsearch-py
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-elasticsearch.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-elasticsearch

## python-elasticsearch 7.17.6

=== debian/changelog ===
python-elasticsearch (7.17.6-1) unstable; urgency=medium

  * New upstream version 7.17.6
  * Add myself to the list of Uploaders

 -- Anthony Fok <foka@debian.org>  Thu, 22 Sep 2022 14:23:45 -0600

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Michael Fladischer <fladi@debian.org>
+Uploaders: Michael Fladischer <fladi@debian.org>,
+           Anthony Fok <foka@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE := 1

export PYBUILD_NAME := elasticsearch
export PYBUILD_DISABLE := test

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

execute_after_dh_auto_build:
	PYTHONPATH=../.. $(MAKE) -C docs/sphinx html

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/elastic/elasticsearch-py/tags .*/v?(\d[.\d]*)\.tar\.gz

## python-elasticsearch 8.17.2

=== debian/changelog ===
python-elasticsearch (8.17.2-2) unstable; urgency=medium

  * d/control: providing elasticsearch8 namespace (Closes: #1100099)

 -- Karsten Schöke <karsten.schoeke@geobasis-bb.de>  Sat, 29 Mar 2025 11:11:31 +0100

python-elasticsearch (8.17.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 8.17.2
  * d/control: Bump standards to 4.7.2
  * d/control: Add myself to Uploaders
  * d/control: depends on new python3-elastic-transport
  * d/patches/001_disable_intersphinx: 
    use local inventory references for intersphinx
  * d/copyright: changes after new upstream release.
  * d/python3-elasticsearch.docs: rename README post new upsteam
  * activate pybuild tests. (Closes: #777604)

  [ Alexandre Detiste ]
  * Reorder sequence of d/control fields by cme (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Remove extraneous dependency on python3-mock

 -- Karsten Schöke <karsten.schoeke@geobasis-bb.de>  Wed, 19 Mar 2025 15:31:28 +0100

=== debian/control ===
--- 
+++ 
@@ -1,32 +1,42 @@
 Source: python-elasticsearch
-Section: python
-Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Michael Fladischer <fladi@debian.org>,
-           Anthony Fok <foka@debian.org>
+           Anthony Fok <foka@debian.org>,
+           Karsten Schöke <karsten.schoeke@geobasis-bb.de>,
+Section: python
+Testsuite: autopkgtest-pkg-pybuild
+Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
+               libjs-jquery <!nocheck>,
+               pybuild-plugin-pyproject,
+               python-elastic-transport-doc <!nodoc>,
+               python3-aiohttp <!nocheck>,
                python3-all,
-               python3-setuptools
-Build-Depends-Indep: libjs-jquery,
-                     python3-coverage,
-                     python3-mock,
-                     python3-pylibmc,
-                     python3-requests (>= 2.4.0),
-                     python3-sphinx (>= 1.0.7+dfsg-1~),
-                     python3-sphinx-rtd-theme,
-                     python3-urllib3,
-                     python3-yaml,
-Standards-Version: 4.6.1
+               python3-dateutil <!nocheck>,
+               python3-doc <!nodoc>,
+               python3-elastic-transport,
+               python3-hatchling,
+               python3-orjson <!nocheck>,
+               python3-pytest <!nocheck>,
+               python3-pytest-asyncio <!nocheck>,
+               python3-setuptools,
+               python3-sphinx <!nodoc>,
+               python3-sphinx-rtd-theme <!nodoc>,
+               python3-typing-extensions,
+               python3-yaml <!nocheck>,
+Standards-Version: 4.7.2
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-elasticsearch
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-elasticsearch.git
 Homepage: https://github.com/elasticsearch/elasticsearch-py
-Vcs-Git: https://salsa.debian.org/python-team/packages/python-elasticsearch.git
-Vcs-Browser: https://salsa.debian.org/python-team/packages/python-elasticsearch
-Testsuite: autopkgtest-pkg-python
+Rules-Requires-Root: no
 
 Package: python3-elasticsearch
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}
-Suggests: python-elasticsearch-doc
+Depends: ${misc:Depends},
+         ${python3:Depends},
+Suggests: python-elasticsearch-doc,
+Provides: python3-elasticsearch8
 Description: Python client for Elasticsearch (Python3 version)
  Official low-level client for Elasticsearch. Its goal is to provide common
  ground for all Elasticsearch-related code in Python; because of this it tries
@@ -47,10 +57,11 @@
  This package contains the Python 3 version of the library.
 
 Package: python-elasticsearch-doc
+Architecture: all
+Multi-Arch: foreign
 Section: doc
-Architecture: all
-Depends: ${misc:Depends}, ${sphinxdoc:Depends}
-Multi-Arch: foreign
+Depends: ${misc:Depends},
+         ${sphinxdoc:Depends},
 Description: Python client for Elasticsearch (Documentation)
  Official low-level client for Elasticsearch. Its goal is to provide common
  ground for all Elasticsearch-related code in Python; because of this it tries

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE := 1

export PYBUILD_NAME := elasticsearch
export PYBUILD_BEFORE_TEST=cp -a {dir}/test_elasticsearch {build_dir}
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/test_elasticsearch

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

execute_after_dh_auto_build:
	PYTHONPATH=../.. $(MAKE) -C docs/sphinx html

## python-elasticsearch 9.1.0

=== debian/changelog ===
python-elasticsearch (9.1.0-1) unstable; urgency=medium

  * d/watch: change to git mode
  * disable CI pipeline on upstream and pristine-tar branch.
  * New upstream version 9.1.0 (Closes: #1110796, #1110800)
  * Rediff patches
  * d/control: remove obsolete Rules-Requires-Root
  * d/control: add new BD
  * d/conrol: switch to new Mainversion 9.
  * d/rules: disable new vector checks.

 -- Karsten Schöke <karsten.schoeke@geobasis-bb.de>  Mon, 11 Aug 2025 15:41:27 +0200

=== debian/control ===
--- 
+++ 
@@ -17,6 +17,7 @@
                python3-doc <!nodoc>,
                python3-elastic-transport,
                python3-hatchling,
+               python3-nltk <!nocheck>,
                python3-orjson <!nocheck>,
                python3-pytest <!nocheck>,
                python3-pytest-asyncio <!nocheck>,
@@ -24,19 +25,19 @@
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
                python3-typing-extensions,
+               python3-pytz <!nocheck>,
                python3-yaml <!nocheck>,
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-elasticsearch
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-elasticsearch.git
 Homepage: https://github.com/elasticsearch/elasticsearch-py
-Rules-Requires-Root: no
 
 Package: python3-elasticsearch
 Architecture: all
 Depends: ${misc:Depends},
          ${python3:Depends},
 Suggests: python-elasticsearch-doc,
-Provides: python3-elasticsearch8
+Provides: python3-elasticsearch9
 Description: Python client for Elasticsearch (Python3 version)
  Official low-level client for Elasticsearch. Its goal is to provide common
  ground for all Elasticsearch-related code in Python; because of this it tries

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE := 1

export PYBUILD_NAME := elasticsearch

# disable the vectors tests because sentence_transformers is missing in Debian 
export PYBUILD_TEST_ARGS = {dir}/test_elasticsearch \
 --ignore={dir}/test_elasticsearch/test_dsl/test_integration/test_examples/_async/test_vectors.py \
 --ignore={dir}/test_elasticsearch/test_dsl/test_integration/test_examples/_sync/test_vectors.py

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

execute_after_dh_auto_build:
	PYTHONPATH=../.. $(MAKE) -C docs/sphinx html

## python-elasticsearch 9.1.1

=== examples/fastapi-apm/requirements.txt ===
aiohttp==3.7.4.post0
asgiref==3.3.4
async-timeout==3.0.1
attrs==21.2.0
certifi==2023.7.22
chardet==4.0.0
click==8.0.1
elastic-apm==6.2.1
elasticsearch[async]==7.13.1
fastapi==0.65.1
h11==0.12.0
idna==3.2
multidict==5.1.0
pydantic==1.8.2
starlette==0.14.2
typing-extensions==3.10.0.0
urllib3==1.26.5
uvicorn==0.14.0
yarl==1.6.3

=== debian/changelog ===
python-elasticsearch (9.1.1-2) unstable; urgency=medium

  * change link to elasticsearch9

 -- Karsten Schöke <karsten.schoeke@geobasis-bb.de>  Thu, 02 Oct 2025 13:42:22 +0200

python-elasticsearch (9.1.1-1) unstable; urgency=medium

  * New upstream version 9.1.1

 -- Karsten Schöke <karsten.schoeke@geobasis-bb.de>  Wed, 01 Oct 2025 13:15:07 +0200

python-elasticsearch (9.1.0-3) unstable; urgency=medium

  * Team Upload.
  * d/control: Add Dependency on python3-elastic-transport >=9.1 and
    << 10 (Closes: #1110798).

 -- Emmanuel Arias <eamanu@debian.org>  Sat, 27 Sep 2025 16:00:41 -0300

python-elasticsearch (9.1.0-2) unstable; urgency=medium

  * Team upload.
  * Explicitely dependes on elastic-transport 9.x

 -- Alexandre Detiste <tchet@debian.org>  Sat, 30 Aug 2025 15:28:05 +0200

=== debian/control ===
--- 
+++ 
@@ -36,6 +36,7 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${python3:Depends},
+         python3-elastic-transport (>= 9.1), python3-elastic-transport (<< 10)
 Suggests: python-elasticsearch-doc,
 Provides: python3-elasticsearch9
 Description: Python client for Elasticsearch (Python3 version)

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 export PYBUILD_NAME := elasticsearch
 
-# disable the vectors tests because sentence_transformers is missing in Debian 
+# disable the vectors tests because sentence_transformers is missing in Debian
 export PYBUILD_TEST_ARGS = {dir}/test_elasticsearch \
  --ignore={dir}/test_elasticsearch/test_dsl/test_integration/test_examples/_async/test_vectors.py \
  --ignore={dir}/test_elasticsearch/test_dsl/test_integration/test_examples/_sync/test_vectors.py

=== debian/watch ===
version=4

opts="mode=git, \
      compression=gz, \
      uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+ds(\.?\d+)?$//" \
https://github.com/elastic/elasticsearch-py.git \
      refs/tags/@ANY_VERSION@

## python-elasticsearch 9.2.0

=== examples/bulk-ingest/requirements.txt ===
elasticsearch
urllib3
tqdm

=== examples/quotes/backend/requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.12
# by the following command:
#
#    pip-compile pyproject.toml
#
aiohappyeyeballs==2.6.1
    # via aiohttp
aiohttp==3.12.15
    # via elasticsearch
aiosignal==1.4.0
    # via aiohttp
annotated-types==0.7.0
    # via pydantic
anyio==4.11.0
    # via starlette
attrs==25.3.0
    # via aiohttp
certifi==2025.8.3
    # via
    #   elastic-transport
    #   requests
charset-normalizer==3.4.3
    # via requests
click==8.3.0
    # via uvicorn
elastic-transport==8.17.1
    # via elasticsearch
elasticsearch[async]==8.19.1
    # via quotes (pyproject.toml)
fastapi==0.117.1
    # via quotes (pyproject.toml)
filelock==3.19.1
    # via
    #   huggingface-hub
    #   torch
    #   transformers
frozenlist==1.7.0
    # via
    #   aiohttp
    #   aiosignal
fsspec==2025.9.0
    # via
    #   huggingface-hub
    #   torch
h11==0.16.0
    # via uvicorn
hf-xet==1.1.10
    # via huggingface-hub
huggingface-hub==0.35.0
    # via
    #   sentence-transformers
    #   tokenizers
    #   transformers
idna==3.10
    # via
    #   anyio
    #   requests
    #   yarl
jinja2==3.1.6
    # via torch
joblib==1.5.2
    # via scikit-learn
markupsafe==3.0.2
    # via jinja2
mpmath==1.3.0
    # via sympy
multidict==6.6.4
    # via
    #   aiohttp
    #   yarl
networkx==3.5
    # via torch
numpy==2.3.3
    # via
    #   scikit-learn
    #   scipy
    #   transformers
orjson==3.11.3
    # via quotes (pyproject.toml)
packaging==25.0
    # via
    #   huggingface-hub
    #   transformers
pillow==11.3.0
    # via sentence-transformers
propcache==0.3.2
    # via
    #   aiohttp
    #   yarl
pydantic==2.11.9
    # via fastapi
pydantic-core==2.33.2
    # via pydantic
python-dateutil==2.9.0.post0
    # via elasticsearch
pyyaml==6.0.2
    # via
    #   huggingface-hub
    #   transformers
regex==2025.9.18
    # via transformers
requests==2.32.5
    # via
    #   huggingface-hub
    #   transformers
safetensors==0.6.2
    # via transformers
scikit-learn==1.7.2
    # via sentence-transformers
scipy==1.16.2
    # via
    #   scikit-learn
    #   sentence-transformers
sentence-transformers==5.1.1
    # via quotes (pyproject.toml)
six==1.17.0
    # via python-dateutil
sniffio==1.3.1
    # via anyio
starlette==0.48.0
    # via fastapi
sympy==1.14.0
    # via torch
threadpoolctl==3.6.0
    # via scikit-learn
tokenizers==0.22.1
    # via transformers
torch==2.8.0
    # via sentence-transformers
tqdm==4.67.1
    # via
    #   huggingface-hub
    #   sentence-transformers
    #   transformers
transformers==4.56.2
    # via sentence-transformers
typing-extensions==4.15.0
    # via
    #   aiosignal
    #   anyio
    #   elasticsearch
    #   fastapi
    #   huggingface-hub
    #   pydantic
    #   pydantic-core
    #   sentence-transformers
    #   starlette
    #   torch
    #   typing-inspection
typing-inspection==0.4.1
    # via pydantic
urllib3==2.5.0
    # via
    #   elastic-transport
    #   requests
uvicorn==0.36.0
    # via quotes (pyproject.toml)
yarl==1.20.1
    # via aiohttp

# The following packages are considered to be unsafe in a requirements file:
# setuptools

=== debian/changelog ===
python-elasticsearch (9.2.0-1) unstable; urgency=medium

  * New upstream version 9.2.0
  * d/watch: Convert to version 5
  * d/control: Update BD
  * d/rules: Enable test_vectors, 
    since sentence_transformers no longer has a dependency.

 -- Karsten Schöke <karsten.schoeke@geobasis-bb.de>  Wed, 29 Oct 2025 12:51:11 +0100

=== debian/control ===
--- 
+++ 
@@ -13,17 +13,20 @@
                python-elastic-transport-doc <!nodoc>,
                python3-aiohttp <!nocheck>,
                python3-all,
+               python3-anyio,
                python3-dateutil <!nocheck>,
                python3-doc <!nodoc>,
                python3-elastic-transport,
                python3-hatchling,
-               python3-nltk <!nocheck>,
                python3-orjson <!nocheck>,
+               python3-pydantic <!nocheck>,
                python3-pytest <!nocheck>,
                python3-pytest-asyncio <!nocheck>,
                python3-setuptools,
+               python3-sniffio,
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
+               python3-trio <!nodoc>,
                python3-typing-extensions,
                python3-pytz <!nocheck>,
                python3-yaml <!nocheck>,

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE := 1

export PYBUILD_NAME := elasticsearch

export PYBUILD_TEST_ARGS = {dir}/test_elasticsearch

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

execute_after_dh_auto_build:
	PYTHONPATH=../.. $(MAKE) -C docs/sphinx html

=== debian/watch ===
Version: 5

Source: https://github.com/elastic/elasticsearch-py.git
Matching-Pattern: refs/tags/@ANY_VERSION@
Compression: gz
Dversionmangle: s/\+ds(\.?\d+)?$//
Mode: git
Uversionmangle: s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/

## python-elasticsearch 9.2.1

=== debian/changelog ===
python-elasticsearch (9.2.1-1) unstable; urgency=medium

  * New upstream version 9.2.1
  * d/control: Bump standards to 4.7.3
  * d/rules: Remove duplicate license file

 -- Karsten Schöke <karsten.schoeke@geobasis-bb.de>  Mon, 29 Dec 2025 16:29:52 +0100

=== debian/control ===
--- 
+++ 
@@ -30,7 +30,7 @@
                python3-typing-extensions,
                python3-pytz <!nocheck>,
                python3-yaml <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-elasticsearch
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-elasticsearch.git
 Homepage: https://github.com/elasticsearch/elasticsearch-py

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,6 @@
 #export DH_VERBOSE := 1
 
 export PYBUILD_NAME := elasticsearch
-
 export PYBUILD_TEST_ARGS = {dir}/test_elasticsearch
 
 %:
@@ -12,3 +11,8 @@
 
 execute_after_dh_auto_build:
 	PYTHONPATH=../.. $(MAKE) -C docs/sphinx html
+
+execute_after_dh_sphinxdoc:
+	# Remove duplicate license file
+	$(RM) debian/python-elasticsearch-doc/usr/share/doc/python-elasticsearch-doc/html/_sources/api/license.rst.txt 
+

## python-elasticsearch 9.3.0

=== debian/changelog ===
python-elasticsearch (9.3.0-1) unstable; urgency=medium

  * New upstream version 9.3.0
  * d/control: Update BD
  * d/control: Drop Priority: optional, default since dpkg 1.22.13.

 -- Karsten Schöke <karsten.schoeke@geobasis-bb.de>  Wed, 04 Feb 2026 12:36:19 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
            Karsten Schöke <karsten.schoeke@geobasis-bb.de>,
 Section: python
 Testsuite: autopkgtest-pkg-pybuild
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
                libjs-jquery <!nocheck>,
@@ -18,6 +17,7 @@
                python3-doc <!nodoc>,
                python3-elastic-transport,
                python3-hatchling,
+               python3-numpy <!nocheck>,
                python3-orjson <!nocheck>,
                python3-pydantic <!nocheck>,
                python3-pytest <!nocheck>,

=== debian/rules ===
--- 
+++ 
@@ -14,5 +14,5 @@
 
 execute_after_dh_sphinxdoc:
 	# Remove duplicate license file
-	$(RM) debian/python-elasticsearch-doc/usr/share/doc/python-elasticsearch-doc/html/_sources/api/license.rst.txt 
-	
+	$(RM) debian/python-elasticsearch-doc/usr/share/doc/python-elasticsearch-doc/html/_sources/api/license.rst.txt
+
